v2.0.0

02 Jan 2019

It has been a long time in the works, but version 2 is now available!

The first release of version 2 is a major update to the core, with new minimum PHP version requirements but also support for 7.x. The internal code framework has been upgraded, a number of things have been improved, bugs have been fixed, and security has been increased.

It also comes with a new installer and web-based upgrader for those updading from version 1.

Added

PHP Requirement for minimum version 5.5, and support for 7.x.

Added

Use Composer for dependencies.

Added

Database migrations.

Added

New installer.

Added

New upgrader for v1 => v2.

Changed

Updated CodeIgniter framework to version 3.

Changed

Updated all class files for compatibility with CodeIgniter 3.

Changed

Updated folder structure and configuration file methods.

Changed

Security updates for HTML escaping.

Changed

Fixed various bugs.

Changed

Bitmask library for period/lesson time days.

Removed

Header image colour generation.